<style scoped="">
.main_slider{
  position: relative;
} 
.main_slider .comm_width{
  position: relative;
  background-image: url(../assets/images/main_slider_bg.jpg);
  background-size: 659px 525px;
  background-repeat: no-repeat;
  background-position: top 73px right;
  height: 550px;
}
.supply_btn{
  font-size: 16px;
  padding: 24px 45px;
  display: block;
  background-color: #0D5EE5;
  color: #fff;
  display: inline-block;
}
.main_slider_content{
  border-top: 1px solid rgba(0, 0, 0, 0);
  width: 50%;
  background-image: url(../assets/images/points_in_rectancle.jpg);
  background-repeat: no-repeat;
  background-size: 183px 202px;
  background-position: top 95px left;
}
.main_slider_des_txt{
  font-size: 23px;
  line-height: 36px;
  margin-bottom: 72px;
  padding-right: 88px;
}
.main_slider_title{
  margin-top: 167px;
  font-size: 57px;
}
@media (max-width: 800px) {
  .main_slider_content{
    width: 100%;
  }
  .main_slider_title{
    margin-top: 75px;
    text-align: center;
    font-size: 32px;
  }
  .main_slider .comm_width{
    background-image: none;
    height: auto;
  }
  .main_slider_des_txt{
    font-size: 12px;
    line-height: 20px;
    text-align: center;
    width: 240px;
    margin: 0 auto;
    padding-right: 0px;
  }
  .supply_btn_ct{
    display: flex;
    justify-content: center;
  }
  .supply_btn{
    height: 45px;
    line-height: 45px;
    border-radius: 3px;
    display: block;
    margin: 0 auto;
    margin-top: 30px;
    padding: 0px;
    text-align: center;
    display: inline-block;
    padding: 0px 20px;
  }
  .mobile_top_bg{
    position: relative;
    background-image: url(../assets/images/main_slider_bg.jpg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    height: 250px;
    margin: 10px;
  }
}
</style>
<template>
  <div class="main_slider">
    <div class="comm_width">
      <div class="main_slider_content">
        <h1 class="main_slider_title">
          {{ lang.data['Mainnet'] }}
        </h1>
        <p class="main_slider_des_txt">
          <!-- <div> -->
            {{ lang.data['Evolve Towards The Decentralized High-Performance Smart Contract Platform'] }}
          <!-- </div> -->
        </p>
        <div class="supply_btn_ct">
          <a rel="nofollow" href="https://u.eosforce.io" target="_blank" class="supply_btn">{{ lang.data['Apply Budget'] }}</a>
        </div>
      </div>
      <div class="mobile_top_bg"></div>
    </div>
  </div>
</template>
<script>
import { get_lang_data_by_key, set_lang } from '@/data/langs/index.js'
let lang = get_lang_data_by_key('en');

export default {
  beforeCreate () {
    lang = get_lang_data_by_key(this.$route.params.lang || 'cn');
  },
  data () {
    return {
      lang
    }
  },

  methods: {

  },

  components:{

  }
}
</script>